# load packages
library(sf)
library(readr)
library(ggplot2)
library(rjson)
library(jsonlite)
library(leaflet)
library(RCurl)
library(DT)
library(leaflet)
library(dplyr)
library(DT)

#Load data file 
setwd("~/3rd Semester/Specialization Project/Data")
Data = read.csv("Data.csv", header = TRUE,  sep = ";")
View (Data)
#datatable(head(Trondheim_data))

#subset the data selecting Trondheim and environs with latitude between 63.32 
#and 63.45 and longitude between 10.45 and 10.32.
trondheim_data = Data %>% 
  filter(lengdegrad < 10.45 & lengdegrad > 10.32 & breddegrad <63.45 & breddegrad > 63.32)%>%
  filter(tid > 2020)%>%
  select(hastighet_ned, hastighet_opp, tid, lengdegrad, breddegrad, klient_type, teknologi, ip_as_name, 
                                landkode, enhet)
View (trondheim_data)

######MAPPING######

# you can then pipe this
trondheim_data <- trondheim_data %>%
  flatten(recursive = TRUE) # remove the nested data frame

# Using the datatable function from the DT package to see the first 6 rows of data
datatable(head(Trondheim_data))

trondMap <- leaflet(Trondheim_data) %>% 
  addTiles( attribution='Map tiles by Kwame') %>% 
  addCircles(~lengdegrad, ~breddegrad)

trondMap


#subset the data selecting Stavanger and environs with latitude between 58.89 
#and 59.00 and longitude between 5.63 and 5.74
stavanger_data = Data %>% 
  filter(lengdegrad < 5.74 & lengdegrad > 5.63 & breddegrad <59.00 & breddegrad > 58.89) %>%
  filter(tid > 2020)%>%
  select(hastighet_ned, hastighet_opp, tid, lengdegrad, breddegrad, klient_type, teknologi, ip_as_name, 
                                landkode, enhet)
View (stavanger_data)

######MAPPING######

# you can then pipe this
stavanger_data <- stavanger_data %>%
  flatten(recursive = TRUE) # remove the nested data frame

# Using the datatable function from the DT package to see the first 6 rows of data
datatable(head(stavanger_data))

stavMap <- leaflet(stavanger_data) %>% 
  addTiles( attribution='Map tiles by Kwame') %>% 
  addCircles(~lengdegrad, ~breddegrad)

stavMap


######MAPPING######

# you can then pipe this
Data <- Data %>%
  flatten(recursive = TRUE) # remove the nested data frame

# Using the datatable function from the DT package to see the first 6 rows of data
datatable(head(Data))

NorgeMap <- leaflet(Data) %>% 
  addTiles( attribution='Map tiles by Kwame') %>% 
  addCircles(~lengdegrad, ~breddegrad)

NorgeMap
