# load packages
library(sf)
library(readr)
library(ggplot2)
library(rjson)
library(jsonlite)
library(leaflet)
library(RCurl)
library(DT)
library(leaflet)
library(dplyr)

#Load data file 
Data = read.csv("Data.csv", header = TRUE,  sep = ";")
View (Data)
#datatable(head(Trondheim_data))

#subset the data selecting Stavanger and environs with latitude between 58.89 
#and 59.00 and longitude between 5.63 and 5.74
stavanger_data = Data %>% 
  filter(lengdegrad < 5.74 & lengdegrad > 5.63 & breddegrad <59.00 & breddegrad > 58.89) %>%
  filter(tid > 2020)%>%
  select(hastighet_ned, hastighet_opp, tid, lengdegrad, breddegrad, klient_type, teknologi, ip_as_name, 
         landkode, enhet)
View (stavanger_data)

######MAPPING######

# you can then pipe this
stavanger_data <- stavanger_data %>%
  flatten(recursive = TRUE) # remove the nested data frame

# Using the datatable function from the DT package to see the first 6 rows of data
datatable(head(stavanger_data))

stavMap <- leaflet(stavanger_data) %>% 
  addTiles( attribution='1053 entries for STAVANGER, NORWAY, Map tiles by Kwame') %>% 
  addCircles(~lengdegrad, ~breddegrad)

stavMap

######Statistics########
#4G ONLY
stavanger_4G = stavanger_data %>% 
  filter(lengdegrad < 5.74 & lengdegrad > 5.63 & breddegrad <59.00 & breddegrad > 58.89) %>%
  filter(tid > 2020)%>%
  filter(teknologi == '4G')%>%
  select(hastighet_ned, hastighet_opp, tid, lengdegrad, breddegrad, klient_type, teknologi, ip_as_name, 
         landkode, enhet)
View (stavanger_4G)

mean_4G <- 
  stavanger_4G %>% summarise_if(is.numeric, mean)
mean_4G

standard_4G <- 
  stavanger_4G %>% summarise_if(is.numeric, sd)
standard_4G

variance_4G <- 
  stavanger_4G %>% summarise_if(is.numeric, var)
variance_4G

#WLAN ONLY
stavanger_wlan = stavanger_data %>% 
  filter(lengdegrad < 5.74 & lengdegrad > 5.63 & breddegrad <59.00 & breddegrad > 58.89) %>%
  filter(tid > 2020)%>%
  filter(teknologi == 'WLAN')%>%
  select(hastighet_ned, hastighet_opp, tid, lengdegrad, breddegrad, klient_type, teknologi, ip_as_name, 
         landkode, enhet)
View (stavanger_wlan)

mean_wlan <- 
  stavanger_wlan %>% summarise_if(is.numeric, mean)
mean_wlan

standard_wlan <- 
  stavanger_wlan %>% summarise_if(is.numeric, sd)
standard_wlan

variance_wlan <- 
  stavanger_wlan %>% summarise_if(is.numeric, var)
variance_wlan


##########PLOTTING#################
plot(hastiget_ned, hastighet_opp)
