# load packages
library(sf)
library(readr)
library(ggplot2)
library(rjson)
library(jsonlite)
library(leaflet)
library(RCurl)
library(DT)
library(leaflet)
library(dplyr)

#Load 2020
setwd("~/4th Semester/Thesis/Data/NETT FART")
year20 = read.csv("nettfart-2020.csv", header = TRUE,  sep = ";",quote = "\"")
map20 = separate(year20, col = Time, into = c("Date", "Time"), sep = " ")%>%
  mutate(Date = as.Date(Date), Download = Download/1000, upload = upload/1000 ) %>%
  dplyr::select(Download, upload, Ping, Date, Time, City, County, Country,
                Latitude, Longitude) %>%
  filter(Country == 'NO')


#Load csv file
setwd("~/3rd Semester/Specialization Project/Data")
Data = read.csv("Data.csv", header = TRUE,  sep = ",")
View (Data)



######MAPPING######

# you can then pipe this
data <- trondheim %>%
  flatten(recursive = TRUE) # remove the nested data frame

# Using the datatable function from the DT package to see the first 6 rows of data
datatable(head(data))

NorgeMap <- leaflet(data) %>% 
  addTiles( attribution ='Map tiles by Kwame, 2021') %>% 
  addCircles(~Longitude, ~Latitude)
NorgeMap


# you can then pipe this
Sample <- Sample %>%
  flatten(recursive = TRUE) # remove the nested data frame

# turn columns to numeric and remove NA values
Sample = Sample %>%
  mutate_at(vars(Latitude, Longitude), funs(as.numeric)) %>%
  Sample <- read.csv("sample1.csv", stringsAsFactors=F)

# Bringing in the DataTables package to display the data in a nice format
library(DT)

# Using the datatable function from the DT package to see the first 6 rows of data
datatable(head(Data))

map <- leaflet(Sample) %>% 
  addTiles( attribution='Map tiles by Kwame') %>% 
  addCircles(~Longitude, ~Latitude)

map
