library(tidyverse)
library(leaflet)
library(DT)
library(rgdal)
library(rgeos)
library(RCurl)
library(sf)
library(sp)
library(jsonlite)
library(plotly)
library(textclean)
library(data.table)
library(lubridate)

#Load 2012
setwd("~/4th Semester/Thesis/Data/NETT FART")
year12 = read.csv("nettfart-2012.csv", header = TRUE,  sep = ";",quote = "\"")
y12 = separate(year12, col = Time, into = c("Year", "Month", "Day"), sep = "-")
year2012 = separate(y12, col = Day, into = c("Day", "Time"), sep = " " )
View (year2012)

#Load 2013
setwd("~/4th Semester/Thesis/Data/NETT FART")
year13 = read.csv("nettfart-2013.csv", header = TRUE,  sep = ";",quote = "\"")
y13 = separate(year13, col = Time, into = c("Year", "Month", "Day"), sep = "-")
year2013 = separate(y13, col = Day, into = c("Day", "Time"), sep = " " )
View (year2013)

#Load 2014
setwd("~/4th Semester/Thesis/Data/NETT FART")
year14 = read.csv("nettfart-2014.csv", header = TRUE,  sep = ";",quote = "\"")
y14 = separate(year14, col = Time, into = c("Year", "Month", "Day"), sep = "-")
year2014 = separate(y14, col = Day, into = c("Day", "Time"), sep = " " )
View (year2014)

#Load 2015
setwd("~/4th Semester/Thesis/Data/NETT FART")
year15 = read.csv("nettfart-2015.csv", header = TRUE,  sep = ";",quote = "\"")
y15 = separate(year15, col = Time, into = c("Year", "Month", "Day"), sep = "-")
year2015 = separate(y15, col = Day, into = c("Day", "Time"), sep = " ")
View (year2015)

#Load 2016
setwd("~/4th Semester/Thesis/Data/NETT FART")
year16 = read.csv("nettfart-2016.csv", header = TRUE,  sep = ";",quote = "\"")
y16 = separate(year16, col = Time, into = c("Year", "Month", "Day"), sep = "-")
year2016 = separate(y16, col = Day, into = c("Day", "Time"), sep = " " )
View (year2016)

#Load 2017
setwd("~/4th Semester/Thesis/Data/NETT FART")
year17 = read.csv("nettfart-2017.csv", header = TRUE,  sep = ";",quote = "\"")
y17 = separate(year17, col = Time, into = c("Year", "Month", "Day"), sep = "-")
year2017 = separate(y17, col = Day, into = c("Day", "Time"), sep = " " )
View (year2017)

#Load 2018
setwd("~/4th Semester/Thesis/Data/NETT FART")
year18 = read.csv("nettfart-2018.csv", header = TRUE,  sep = ";",quote = "\"")
y18 = separate(year18, col = Time, into = c("Year", "Month", "Day"), sep = "-")
year2018 = separate(y18, col = Day, into = c("Day", "Time"), sep = " " )
View (year2018)

#Load 2019
setwd("~/4th Semester/Thesis/Data/NETT FART")
year19 = read.csv("nettfart-2019.csv", header = TRUE,  sep = ";",quote = "\"")
y19 = separate(year19, col = Time, into = c("Year", "Month", "Day"), sep = "-")
year2019 = separate(y19, col = Day, into = c("Day", "Time"), sep = " " )
View (year2019)

#Load 2020
setwd("~/4th Semester/Thesis/Data/NETT FART")
year20 = read.csv("nettfart-2020.csv", header = TRUE,  sep = ";",quote = "\"")
year2020 = separate(year20, col = Time, into = c("Date", "Time"), sep = " ")%>%
  mutate(Date = as.Date(Date)) %>%
  select(Download, upload, Ping, Date, Time, ISP, City, County, Country, Platform)
#y20$Time = as.POSIXct(data$Time, format = "%H:%M")
#year2020 = separate(y20, col = Date, into = c("Year", "Month", "Day"), sep = "-")
#year2020 = separate(y20, col = Day, into = c("Day", "Time"), sep = " " )
View (year2020)

#Load 2021
setwd("~/4th Semester/Thesis/Data/NETT FART")
year21 = read.csv("nettfart-2021.csv", header = TRUE,  sep = ";",quote = "\"")
year2021 = separate(year21, col = Time, into = c("Date", "Time"), sep = " ")%>%
  mutate(Date = as.Date(Date))%>%
  select(Download, upload, Ping, Date, Time, ISP, City, County, Country, Platform)
#y21 = separate(year21, col = Time, into = c("Year", "Month", "Day"), sep = "-")
#year2021 = separate(y21, col = Day, into = c("Day", "Time"), sep = " " )
View (year2021)



################ Outside Norway only ####################
outNorway_data = year2021 %>% 
  filter(!Country == 'NO') 
  #%>% count(Country)
View (outNorway_data)

##### COUNTRY ######
country = year2021 %>%
  filter(Country == 'US')
view(country)

randaberg = year2020 %>% 
  filter(City == "Randaberg")
view(randaberg)
############ COUNTIES ###############
counties = year2021 %>%
  filter(Country == 'NO')%>%
  count(County)
view(counties)


########## OSLO ###########
oslo = year2021 %>% 
  filter(County == 'Oslo County' )
View (oslo)


########## ROGALAND ###########
rogaland = year2021 %>% 
  filter(County == 'Rogaland')
View (rogaland)


########## MRE OG ROMSDAL ###########
romsdal = year2020 %>% 
  filter(County == 'Møre og Romsdal')
View (romsdal)


########## NORDLAND ###########
nordland = year2021 %>% 
  filter(County == 'Nordland')
View (nordland)


########## VIKEN ###########
viken = year2021 %>% 
  filter(County == 'Viken' | County == '~stfold' | County == 'Buskerud' | 
           County == 'Akershus')
View (viken)


########## INNLANDET ###########
innlandet = year2021 %>% 
  filter(County == 'Innlandet' | County == 'Oppland' | County == 'Hedmark')
View (innlandet)


########## VESTFOLD OG TELEMARK ###########
vest_tele = year2021 %>% 
  filter(County == 'Vestfold' | County == 'Telemark' | 
  County == 'Vestfold og Telemark')
View (vest_tele)


########## AGDER ###########
agder = year2021 %>% 
  filter(County == 'Agder' | County == 'Vest-Agder' | 
           County == 'Aust-Agder')
View (agder)


########## VESTLAND ###########
vestland = year2021 %>% 
  filter(County == 'Vestland' | County == 'Hordaland' | 
           County == 'Sogn og Fjordane')
View(vestland)


########## TRNDELAG ###########
trondelag = year2020 %>% 
  filter(County == 'Trøndelag')
View(trondelag)

trondheim = trondelag %>%
  filter(City == 'Trondheim')
view(trondheim)


########## TROMS OG FINNMARK ###########
troms = year2021 %>% 
  filter(County == 'Troms og Finnmark' | County == 'Troms' | 
           County == 'Finnmark')
View(troms)


############## OPERATORS ##################
operators = trondheim %>%
  count(ISP)
View (operators)

################### GRAPH & PLOTTING #####################

plot(as.Date(trondheim$Date,'%d-%b-%y'), trondheim$Download, xlab= "Months", 
     ylab = "Download", type = 'l', col = 'red')
plot(as.Date(trondheim$Date,'%d-%b-%y'), trondheim$upload, xlab= "Months", 
     ylab = "Upload", type='l', col = 'blue')


plot_ly(trondheim = trondheim, x= ~Date, y = ~Download, mode = "lines",
        type = 'scatter', name = 'Download', line = list(width = 5, color = "#ffca7c"),
        hoverinfo = "text", text = ~ paste0("Date:", Date,
                                            "\n", "Download", Download,
                                            "\n", "Upload", upload,))

datatable(head(trondheim))

ggplot(data = trondheim, aes(y = Download, x = Time)) + 
  geom_point() + 
  labs(title = "speed result", x = "Date and Time", y = "Speed", 
       caption = "Graph by Kwame")

#scale_x_continuous(breaks=seq(2021-01-01 00:13:58,2021-01-07 00:19:19,0000-00-02 00:00:00))

#theme(text=element_text(family="Tahoma"))



plot(trondheim$nox~as.Date(trondheim$date,"%d-%m-%Y %H:%M"),type="l",
     xlab="Date & Time", ylab="Speed",
     main="speed result")


rdate = as.Date(trondheim$Time, "%m-%d-%y %H:%M:%S")
fix(rdate)
plot(trondheim$Download~rdate, type = 'l', col = "red", axes = F)




############## MAPPING #################

# you can then pipe this
data <- trondheim %>%
  flatten(recursive = TRUE) # remove the nested data frame

# Using the datatable function from the DT package to see the first 6 rows of data
datatable(head(data))

NorgeMap <- leaflet(data) %>% 
  addTiles( attribution ='Map tiles by Kwame') %>% 
  addCircles(~Longitude, ~Latitude)
NorgeMap










